summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorAndrew Cady <d@jerkface.net>2020-05-28 14:07:31 -0400
committerAndrew Cady <d@jerkface.net>2020-05-28 14:07:31 -0400
commita1496350b891d9c6526abaf6034acf32d2492131 (patch)
tree44642b1c41c47cc097ba4beede0ddad7110ef58d /src
parentf1cb71db11b0b83dc38b98d9117a284e6f3f5e47 (diff)
New makefile target 'install-dyndns-server'
This isn't fully implemented: * doesn't create the dyndns user * doesn't install or configure pdns.
Diffstat (limited to 'src')
-rwxr-xr-xsrc/samizdat-ssh-command6
1 files changed, 6 insertions, 0 deletions
diff --git a/src/samizdat-ssh-command b/src/samizdat-ssh-command
index 79053fd..a03b554 100755
--- a/src/samizdat-ssh-command
+++ b/src/samizdat-ssh-command
@@ -222,6 +222,12 @@ fi
222 222
223eval "$(samizdat-ssh-uid)" || die eval 223eval "$(samizdat-ssh-uid)" || die eval
224 224
225if [ $# -gt 0 ]
226then
227 exec "$@"
228 exit
229fi
230
225# TODO: call password_authentication on all authorization failures 231# TODO: call password_authentication on all authorization failures
226 232
227#echo "SSH_ORIGINAL_COMMAND=$SSH_ORIGINAL_COMMAND" >&2 233#echo "SSH_ORIGINAL_COMMAND=$SSH_ORIGINAL_COMMAND" >&2